package type;
final public class RepeatUnitListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.RepeatUnit[] value;

	public RepeatUnitListHolder ()
	{
	}
	public RepeatUnitListHolder (type.RepeatUnit[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return RepeatUnitListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = RepeatUnitListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		RepeatUnitListHelper.write(out,value);
	}
}
